## com.imcode.imcms.api
Class FileDocument

    java.lang.Object
      com.imcode.imcms.api.Document
          com.imcode.imcms.api.FileDocument

All Implemented Interfaces:
  java.io.Serializable

    public class FileDocument

extends Document

See Also:
  Serialized Form

Nested Class Summary
`static class` `FileDocument.FileDocumentFile`

Nested classes/interfaces inherited from class com.imcode.imcms.api.Document
`Document.Comparator, Document.LifeCyclePhase, Document.PublicationStatus`

Field Summary
`static int` `TYPE_ID`

Fields inherited from class com.imcode.imcms.api.Document
`STATUS_NEW, STATUS_PUBLICATION_APPROVED, STATUS_PUBLICATION_DISAPPROVED`

Method Summary
`void` `addFile(java.lang.String fileId, FileDocument.FileDocumentFile file)`
`FileDocument.FileDocumentFile` `getDefaultFile()`
`java.lang.String` `getDefaultFileId()`
`FileDocument.FileDocumentFile` `getFile(java.lang.String fileId)`
`FileDocument.FileDocumentFile` `getFileOrDefault(java.lang.String fileId)`
`FileDocument.FileDocumentFile[]` `getFiles()`
`FileDocument.FileDocumentFile` `removeFile(java.lang.String fileId)`

Methods inherited from class com.imcode.imcms.api.Document

`addCategory, addSection, equals, getAlias, getArchivedDatetime, getCategories, getCategoriesOfType, getCreatedDatetime, getCreator, getDocumentPermissionSetForUser, getHeadline, getId, getKeywords, getLanguage, getMenuImageURL, getMenuText, getModifiedDatetime, getName, getPermissionSetIdForRole, getPermissionSetRestrictedOne, getPermissionSetRestrictedTwo, getPermissionSetTypeForRole, getPublicationEndDatetime, getPublicationStartDatetime, getPublicationStatus, getPublisher, getRolesMappedToPermissions, getSections, getStatus, getTarget, hashCode, isActive, isArchived, isLinkableByOtherUsers, isPublished, isSearchDisabled, isVisibleInMenusForUnauthorizedUsers, removeCategory, setAlias, setArchivedDatetime, setCreator, setHeadline, setKeywords, setLanguage, setLinkableByOtherUsers, setMenuImageURL, setMenuText, setModifiedDatetime, setPermissionSetIdForRole, setPermissionSetTypeForRole, setPublicationEndDatetime, setPublicationStartDatetime, setPublicationStatus, setPublisher, setSearchDisabled, setSections, setStatus, setVisibleInMenusForUnauthorizedUsers`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TYPE_ID

    public static final int TYPE_ID

See Also:
  Constant Field Values

Method Detail

### getFile

    public FileDocument.FileDocumentFile getFile(java.lang.String fileId)

### removeFile

    public FileDocument.FileDocumentFile removeFile(java.lang.String fileId)

### getFiles

    public FileDocument.FileDocumentFile[] getFiles()

### getFileOrDefault

    public FileDocument.FileDocumentFile getFileOrDefault(java.lang.String fileId)

### getDefaultFileId

    public java.lang.String getDefaultFileId()

### getDefaultFile

    public FileDocument.FileDocumentFile getDefaultFile()

### addFile

    public void addFile(java.lang.String fileId,
                        FileDocument.FileDocumentFile file)